package com.webonlineapp.hyjavastockdemo12;

import com.vaadin.flow.component.applayout.AppLayout;
import com.vaadin.flow.component.applayout.DrawerToggle;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.router.Route;
import com.webonlineapp.hyjavastockdemo12.util.ServletUtil;

@Route("HyJavaImages")
public class HyJavaImagesView extends AppLayout {
	private static final long serialVersionUID = 1L;
	
	private boolean hyJavaImages = true;
	private DemoPage demoPage = new DemoPage();

	
	/**
	 * 
	 */
	public HyJavaImagesView() {
		ServletUtil.setHostDetails();
		
		addToNavbar(new DrawerToggle(), demoPage.buildHeading(this, hyJavaImages));
		
		VerticalLayout content = new VerticalLayout();
		content.setWidthFull();
        demoPage.buildTab(content, hyJavaImages);
        setContent(content);
        
        addToDrawer(demoPage.buildMenu(this, hyJavaImages));
    }
	
}
