package com.webonlineapp.hyjavastockdemo12.examplecharts;

import com.hyjavastock.chart.Highstock;
import com.hyjavastock.model.highstock.ChartOptions;
import com.hyjavastock.model.highstock.series.SeriesLine;
import com.webonlineapp.hyjavastockdemo12.chartdata.DemoChartData;
import com.webonlineapp.hyjavastockdemo12.charts.DemoChartBase;

public class InvertedNavigatorMask extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highstock configure() {
		Highstock highStock = new Highstock();
		ChartOptions chartOptions = highStock.getChartOptions();
		
		chartOptions.getStockTools().getGui().setEnabled(false);
		
		chartOptions.getTitle().setText("Navigator mask is outside zoomed range");
		chartOptions.getNavigator().setMaskInside(false);
		chartOptions.getRangeSelector().setSelected(4);
		
		SeriesLine seriesLine = new SeriesLine();
		seriesLine.setName("USD to EUR");
		seriesLine.getDataAsJsValue().setJsValue(DemoChartData.getResource("samples-data-usdeur.json"));
		chartOptions.getSeries().add(seriesLine);
		
		return highStock;
	}
	
}