package com.webonlineapp.hyjavastockdemo12.examplecharts;

import com.hyjavastock.chart.Highstock;
import com.hyjavastock.model.highstock.ChartOptions;
import com.hyjavastock.model.highstock.constants.SeriesType;
import com.hyjavastock.model.highstock.series.SeriesPointandfigure;
import com.webonlineapp.hyjavastockdemo12.chartdata.DemoChartData;
import com.webonlineapp.hyjavastockdemo12.charts.DemoChartBase;

public class PointAndFigureSeries extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highstock configure() {
		Highstock highStock = new Highstock();
		ChartOptions chartOptions = highStock.getChartOptions();
		
		chartOptions.getStockTools().getGui().setEnabled(false);
	    
		chartOptions.getTitle().setText("Point and Figure series");
		
		SeriesPointandfigure seriesPointandfigure = new SeriesPointandfigure();
		seriesPointandfigure.setType(SeriesType.POINTANDFIGURE);
		seriesPointandfigure.getDataAsJsValue().setJsValue(DemoChartData.getResource("demo-live-data-aapl-c.json"));
		chartOptions.getSeries().add(seriesPointandfigure);
		
		return highStock;
	}
	
}