package com.webonlineapp.hyjavastockdemo12.examplecharts;

import com.hyjavastock.chart.Highstock;
import com.hyjavastock.model.highstock.ChartOptions;
import com.hyjavastock.model.highstock.constants.SeriesType;
import com.hyjavastock.model.highstock.series.SeriesRenko;
import com.webonlineapp.hyjavastockdemo12.chartdata.DemoChartData;
import com.webonlineapp.hyjavastockdemo12.charts.DemoChartBase;

public class RenkoSeries extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highstock configure() {
		Highstock highStock = new Highstock();
		ChartOptions chartOptions = highStock.getChartOptions();
		
		chartOptions.getStockTools().getGui().setEnabled(false);
	    
		chartOptions.getTitle().setText("AAPL Stock Price on Renko chart");
		
		SeriesRenko seriesRenko = new SeriesRenko();
		seriesRenko.setName("AAPL");
		seriesRenko.setType(SeriesType.RENKO);
		seriesRenko.getDataAsJsValue().setJsValue(DemoChartData.getResource("samples-data-aapl-c.json"));
		chartOptions.getSeries().add(seriesRenko);
		
		return highStock;
	}
	
}